Bug 200660 - Supertux fails to start
Supertux fails to start
Product: Fedora
Classification: Fedora
Component: supertux (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-07-30 01:16 EDT by Conrad Meyer
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-03 22:01:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Conrad Meyer 2006-07-30 01:16:20 EDT
Description of problem:
Supertux fails to start.

Version-Release number of selected component (if applicable):
$ rpm -q supertux

How reproducible:
Every time.

Steps to Reproduce:
1. `supertux' at a command line
Actual results:
Errors, spits out:
"Error: Can't covert to display format


Expected results:
The game to work :)
Comment 1 Conrad Meyer 2006-07-30 14:33:37 EDT
I'm thinking this may have more to do with a broken SDL library / dependancy.
Comment 2 Steven Pritchard 2006-07-31 12:15:14 EDT
(In reply to comment #1)
> I'm thinking this may have more to do with a broken SDL library / dependancy.

You might want to make sure you aren't missing anything on your system.  The
easiest way to figure that out is to install the yum-utils package, then run
"package-cleanup --problems".

If it doesn't report any broken dependencies, the problem still may not be with
supertux.  It could be in one of the libraries it requires.
Comment 3 Conrad Meyer 2006-07-31 14:31:50 EDT
Evidently, it isn't that.

$ sudo package-cleanup --problems
Setting up yum
Reading local RPM database
Processing all local requires
No problems found

As to a required package being broken... I have a friend who also has supertux
(and all its requireds), we both run updates overnight, his works, mine don't
:). But I have talked to another person with the same problem as myself, it's
not a freak occurance.
Comment 4 Steven Pritchard 2006-07-31 14:40:53 EDT
It just about has to be a missing dependency.

I'll work on trying to reproduce the problem.
Comment 5 Conrad Meyer 2006-08-02 04:05:20 EDT
Can you install FC5 from CDs into vmware or a spare machine or somesuch, and
then install supertux? That should reproduce it pretty easily.
Comment 6 Steven Pritchard 2006-08-02 12:27:55 EDT
Working on it (in a xen guest actually).
Comment 7 Nils Philippsen 2006-08-30 16:18:28 EDT
Same here on a machine (which is up to date) with everything (minus GFS bits)
from Core.
Comment 8 Steven Pritchard 2006-08-30 18:16:51 EDT
(In reply to comment #7)
> Same here on a machine (which is up to date) with everything (minus GFS bits)
> from Core.

Also i386?

I just noticed that the FC5 build doesn't appear to have OpenGL support, so I'm
going to try enabling that to see if it makes a difference as soon as the build
servers are back up.
Comment 9 Nils Philippsen 2006-08-31 10:53:14 EDT
Yes, i386.
Comment 10 Steven Pritchard 2006-08-31 12:30:57 EDT
Try 0.1.3-5.fc5 please.  (It is in the needsign queue.  Hopefully it will get
pushed out soon.)

If it doesn't Just Work, try running it with --opengl.
Comment 11 Conrad Meyer 2006-09-03 22:01:51 EDT
0.1.3-5.fc5 works here. As far as I'm concerned, this is resolved.
Comment 12 Nils Philippsen 2006-09-04 03:47:34 EDT
For me too. Changing resolution to ERRATA (WORKSFORME is for unreproducible bugs).

Note You need to log in before you can comment on or make changes to this bug.